For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate a timesheet entry
      • DELDelete a timesheet entry
      • GETList of timesheets
      • GETList of timesheets by contract
      • GETRetrieve a single timesheet entry
      • POSTReview a single timesheet
      • PATCHUpdate a timesheet entry
LogoLogo
SupportDeel Home
EndpointsTimesheets

Delete a timesheet entry

DELETE
/timesheets/:id
DELETE
/rest/v2/timesheets/:id
$curl -X DELETE "https://api.letsdeel.com/rest/v2/timesheets/string?reason=string" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "id": "ts_8f3b2c1d4e5a6b7c9d0e1f2a",
> "reason": "Duplicate entry submitted by mistake"
> }
>}'
1{
2 "data": {
3 "deleted": true
4 }
5}

Permanently deletes a timesheet entry. An optional reason query parameter may be provided to record the rationale for deletion. Token scopes: timesheets:write

Was this page helpful?
Previous

List of timesheets

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
ID of an existing timesheet

Query parameters

reasonstringOptional
Reason for deleting an existing task

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication